## Apache Zeta Components Manual :: Docs For Class ezcDocumentErrorReporting

### Document::ezcDocumentErrorReporting

### Interface ezcDocumentErrorReporting

Interface for error reporting.

Source for this file: /Document/src/interfaces/error_reporting.php

Version: | //autogen//

### Method Summary

public array | `getErrors( )` Return list of errors occured during visiting the document.
public void | `triggerError( $level , $message , [ $file = null] , [ $line = null] , [ $position = null] )` Trigger parser error.

### Methods

#### getErrors

array getErrors( )

Return list of errors occured during visiting the document.

May be an empty array, if on errors occured, or a list of ezcDocumentVisitException objects.

#### triggerError

void triggerError( int $level , string $message , [string $file = null] , [int $line = null] , [int $position = null] )

Trigger parser error.

Emit a parser error and handle it dependiing on the current error reporting settings.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$level` | int |
`$message` | string |
`$file` | string |
`$line` | int |
`$position` | int |

Documentation generated by phpDocumentor 1.4.3